| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::audio_mixer Class Reference

A class for audio mixing operations using x64 instructions. More...

`#include <fallback.h>`

Collaboration diagram for dpp::audio_mixer:
[legend]

## Static Public Member Functions

static void | collect_single_register (int32_t *data_in, int16_t *data_out, float current_gain, float increment)
| Collect a single register worth of data from data_in, apply gain and increment, and store the result in data_out. This version uses x64 instructions.
static void | combine_samples (int32_t *up_sampled_vector, const int16_t *decoded_data)
| Combine a register worth of elements from decoded_data and store the result in up_sampled_vector. This version uses x64 instructions.

## Static Public Attributes

static constexpr int32_t | byte_blocks_per_register { 2 }

## Detailed Description

A class for audio mixing operations using x64 instructions.

## Member Function Documentation

## ◆ collect_single_register()

void dpp::audio_mixer::collect_single_register | ( | int32_t * | data_in,
|  | int16_t * | data_out,
|  | float | current_gain,
|  | float | increment )

inline static

Collect a single register worth of data from data_in, apply gain and increment, and store the result in data_out. This version uses x64 instructions.

Parameters

  data_in | Pointer to the input array of int32_t values.
  data_out | Pointer to the output array of int16_t values.
  current_gain | The gain to be applied to the elements.
  increment | The increment value to be added to each element.

## ◆ combine_samples()

void dpp::audio_mixer::combine_samples | ( | int32_t * | up_sampled_vector,
|  | const int16_t * | decoded_data )

inline static

Combine a register worth of elements from decoded_data and store the result in up_sampled_vector. This version uses x64 instructions.

Parameters

  up_sampled_vector | Pointer to the array of int32_t values.
  decoded_data | Pointer to the array of int16_t values.

## Member Data Documentation

## ◆ byte_blocks_per_register

int32_t dpp::audio_mixer::byte_blocks_per_register { 2 }

inline static constexpr

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0